import request from "@/utils/request.js";

// 订单详情
export function orderDeatails(data) {
    return request({
        method: 'get',
        url: '/api/order/v1/wx/getOrder',
        data
    });
}

// 取消订单
export function cancleOrder(data) {
    return request({
        method: 'post',
        url: '/api/order/v1/wx/applyCancle',
        data
    });
}

// 取消退单申请
export function cancleApply(data) {
    return request({
        method: 'post',
        url: '/api/order/v1/wx/cancelApplyCancle',
        data
    });
}

// 删除订单
export function delOrder(data) {
    return request({
        method: 'post',
        url: '/api/order/v1/del',
        data
    });
}

// 接受订单
export function takeOrder(data) {
    return request({
        method: 'post',
        url: '/api/order/v1/wx/takingOrders',
        data
    });
}

// 拒绝订单
export function refuseOrder(data) {
    return request({
        method: 'post',
        url: '/api/order/v1/wx/jujue',
        data
    });
}

// 确认服务完成订单
export function confirmOrder(data) {
    return request({
        method: 'post',
        url: '/api/order/v1/wx/confirm',
        data
    });
}

// 加单
export function speedOrder(data) {
    return request({
        method: 'post',
        url: '/api/order/v1/wx/add',
        data
    });
}

// 获取技师可预约时间
export function getStaffServiceTime(data) {
    return request({
        method: 'get',
        url: '/api/order/v1/wx/getTechnicianAvailability',
        data
    });
}